package com.hungraim.ltc.governance.controller;

import com.hungraim.ltc.governance.service.SrvTaskService;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTask;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 服务计划Controller
 */
@RestController
@RequestMapping("/api.governance/srvTask")
@Slf4j
public class SrvTaskController {

    @Autowired
    private SrvTaskService srvTaskService;

    /**
     * 服务计划列表
     */
    @RequestMapping("/getSrvTaskList")
    public Result<List<ChSrvTask>> getSrvTaskList() {
        List<ChSrvTask> tasks = srvTaskService.getSrvTaskList();
        return Result.success(tasks);
    }
}
